Knowledgebase: Shared Linux Hosting
WHMCS Module Error
Posted by Winifred K, Last modified by Srinath SM on 01 February 2019 01:25:03 PM

 If you get an error on updated WHMCS installation on websites as below:

==============

Whoops

\Exception\ErrorException: The file /home/username/public_html/whmcs/modules/servers/plesk10/plesk10.php was encoded by the ionCube Encoder for PHP 5.0 and cannot run under PHP 7.1 or later.

Please ask the provider of the script to provide a version encoded with the ionCube Encoder for PHP 7.1. in Unknown:0

Stack trace:

#0 /home/username/public_html/whmcs/vendor/whmcs/whmcs-foundation/lib/Utility/Error/Run.php(0): WHMCS\Utility\Error\Run->handleError(16, 'The file /home/...', 'Unknown', 0)

#1 [internal function]: WHMCS\Utility\Error\Run->handleShutdown()

#2 {main}"

==============

Reason: The add-on module "Plesk10" is already deprecated. This module is for adding Plesk servers to the WHMCS billing system.

Fix:

>> WHMCS provides an alternative module for the same which is "Plesk".

>> Rename/remove the directory "Plesk10" under " /home/username/public_html/whmcs/modules/servers/".

>> Go to PHPMyAdmin and find the WHMCS database.

>> Edit the mysql table "tblservers" and change all references to "Plesk10" to "Plesk".

Reference: https://whmcs.community/topic/252969-server-page-not-loading/

 

 

(1 vote(s))
Helpful
Not helpful

Comments (0)